PHP 7.2 and Foundry compatibility


#1

I am being encouraged by my hosting company to upgrade my PHP from 5.6 to 7.2. I’m not an expert in PHP (or any code to be honest) and so my question is: will the upgrade to PHP 7.2 affect my website which is built using Foundry and Alloy? Or to put the question another way, are Foundry and Alloy compatible with PHP 7.2?


#2

Good morning @AUW

Foundry has very limited amounts of PHP at this time, which is found mostly in the Form and Form Pro stacks. It should work just fine with PHP v7.2.

As for Alloy – Alloy is almost entirely written in PHP, and has been tested by some diligent beta testers and users in several versions of PHP, ranging from v5.6 up through v7.2, and works the same across those versions.

The only issues I’ve run into with either Foundry or Alloy have been host specific issues where the host handled or configured things much differently than other web hosts. Those have been very limited though, so you should be just fine in upgrading to PHP v7.2.


#3

Good morning Adam

That’s all very clear, thank you. I’ll make the upgrade to PHP 7.2 and feed back with any issues or indeed if there are no issues.


#4

OK, so far so good. All appears to be functioning normally after the upgrade to PHP v7.2. I’ve tested my website on Safari, Opera and Chrome.

Thank you again for the swift response.


#5

Not a problem at all. I’ll go ahead and close this thread up since you seem to be good to go.


closed #6